from os import popen
import os
import sys
def bfs10154():
  return (sys.platform in ('win32', 'cygwin'))

def bfs10155():
  return (sys.platform == 'darwin')

def bfs10157():
  return sys.platform.startswith('linux')

def bfs10156():
  if bfs10154():
    return 'win'
  elif bfs10155():
    return 'macosx'
  elif bfs10157():
    return 'linux'


def bfs10161():
  if bfs10154():
    return ('PROGRAMFILES(X86)' not in os.environ)

  assert (bfs10157() or bfs10155())
  return (bfs10160() in ('i386', 'i686'))

def bfs10160():
  return popen('uname -m').read().strip()

def bfs10163():
  if bfs10154():
    return ('PROGRAMFILES(X86)' in os.environ)

  assert (bfs10157() or bfs10155())
  return (bfs10160() in ('x86_64', 'ia64', 'amd64'))

